//draws a line repeatedly accross the screen
//demonstrates setup() and draw() functions
//mark allen 8/3/07

int y = 0; // y tracks lines location

void setup() { // setup is called once in beginning of program
  size(300, 300); // create 300 pixel window
  frameRate(30); // set rate that draw is called to 30 times a second
}

void draw() { // called 30 times a second
  y = y+1; // update y
  background(255); // draw background color
  stroke(0); // set stroke color
  strokeWeight(10); // width of line drawn
  line (0, y, width, y); // draw line at vertical location y, with a width equal to the window width
  if (y > height) { // reset y if lines goes off the screen
    y = 0;
  }
}
