// demonstrates nested loops
// mark allen 8/03/07

import processing.video.*;
MovieMaker mm;

int eSize; // remembers size of shape
int shapeColor;
int movieCount;

void setup() {
  frameRate(30);
  movieCount = 0;
  size(550,550); // create window 
    mm = new MovieMaker(this, width, height, "drawing.mov");
  background(255);
  noStroke();
  smooth();
  eSize = 1; //intial ellipse size
  shapeColor = 0;
}

void draw() {
  fill(shapeColor);
  eSize= eSize + 1; // grow shape size by one
  //test if shape size is too big, if so reset to 1
  if (eSize > 50) {
    eSize = 0;
    //if shape size resets, flip foreground color
    if (shapeColor == 0) {
      shapeColor = 255;
    } 
    else 
    {
      shapeColor = 0;
    }
  }
  //loop through to draw shapes
  for (int i=1;i<=600;i=i+50){ // loop for x axis
    for (int j=1;j<=600; j=j+50){ // loop through each time outer loop updates
      ellipse(i,j,eSize,eSize); // draws rectangles
    }
  }
  if (movieCount < 30) {
  mm.addFrame();
  movieCount++;
  }else{
    mm.finish();
    exit();
  }
}
